# Interface SourceFinalizedTransferReceipt<PN, SC, DC>

#### Type Parameters

- #### PN extends ProtocolName

- #### SC extends Chain = Chain

- #### DC extends Chain = Chain

#### Hierarchy

- BaseTransferReceipt<PN, SC, DC>
  - SourceFinalizedTransferReceipt

- Defined in connect/src/wormholeTransfer.ts:68

#####
Index

### Properties

attestation
from
originTxs
protocol
request
state
to

## Properties

### attestation

attestation: AttestationReceipt<PN>

- Defined in connect/src/wormholeTransfer.ts:75

### from

from: SC

Inherited from BaseTransferReceipt.from

- Defined in connect/src/wormholeTransfer.ts:46

### originTxs

originTxs: TransactionId<SC>[]

- Defined in connect/src/wormholeTransfer.ts:74

### protocol

protocol: PN

Inherited from BaseTransferReceipt.protocol

- Defined in connect/src/wormholeTransfer.ts:45

### request

request: TransferRequest<PN>

Inherited from BaseTransferReceipt.request

- Defined in connect/src/wormholeTransfer.ts:48

### state

state: SourceFinalized

Overrides BaseTransferReceipt.state

- Defined in connect/src/wormholeTransfer.ts:73

### to

to: DC

Inherited from BaseTransferReceipt.to

- Defined in connect/src/wormholeTransfer.ts:47

Generated using TypeDoc